## org.omg.PortableServer
Class ServantRetentionPolicyHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantRetentionPolicyHelper

public class ServantRetentionPolicyHelper
extends java.lang.Object

Helper class for : ServantRetentionPolicy

Author:
  OpenORB Compiler

Constructor Summary
`ServantRetentionPolicyHelper()`

Method Summary
`static ServantRetentionPolicy` `extract(Any a)` Extract ServantRetentionPolicy from an any
`static java.lang.String` `id()` Return the ServantRetentionPolicy IDL ID
`static void` `insert(Any a, ServantRetentionPolicy t)` Insert ServantRetentionPolicy into an any
`static ServantRetentionPolicy` `narrow(Object obj)` Narrow CORBA::Object to ServantRetentionPolicy
`static ServantRetentionPolicy` `read(InputStream istream)` Read ServantRetentionPolicy from a marshalled stream
`static TypeCode` `type()` Return the ServantRetentionPolicy TypeCode
`static ServantRetentionPolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ServantRetentionPolicy
`static void` `write(OutputStream ostream, ServantRetentionPolicy value)` Write ServantRetentionPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantRetentionPolicyHelper

    public ServantRetentionPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServantRetentionPolicy t)

  Insert ServantRetentionPolicy into an any
  Parameters:
    `a` - an any
    `t` - ServantRetentionPolicy value

### extract

    public static ServantRetentionPolicy extract(Any a)

  Extract ServantRetentionPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServantRetentionPolicy value

### type

    public static TypeCode type()

  Return the ServantRetentionPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServantRetentionPolicy IDL ID
  Returns:
    an ID

### read

    public static ServantRetentionPolicy read(InputStream istream)

  Read ServantRetentionPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServantRetentionPolicy value

### write

    public static void write(OutputStream ostream,
                             ServantRetentionPolicy value)

  Write ServantRetentionPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServantRetentionPolicy value

### narrow

    public static ServantRetentionPolicy narrow(Object obj)

  Narrow CORBA::Object to ServantRetentionPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantRetentionPolicy Object

### unchecked_narrow

    public static ServantRetentionPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ServantRetentionPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantRetentionPolicy Object